Package org.oasis_open.docs.ns.xri.xrd_1

# Class XRDType

java.lang.Object
org.oasis_open.docs.ns.xri.xrd_1.XRDType

public class XRDType extends Object

Java class for XRDType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="XRDType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Expires" minOccurs="0"/>
             <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Subject" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Alias"/>
               <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Property"/>
               <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Link"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
           </sequence>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}id"/>
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `aliasOrPropertyOrLink`
  `protected ExpiresType`
  `expires`
  `protected String`
  `id`
  `protected AnyURI`
  `subject`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XRDType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getAliasOrPropertyOrLink()`
  Gets the value of the aliasOrPropertyOrLink property.
  `ExpiresType`
  `getExpires()`
  Gets the value of the expires property.
  `String`
  `getId()`
  Gets the value of the id property.
  `Map<QName,String>`
  `getOtherAttributes()`
  Gets a map that contains attributes that aren't bound to any typed property on this class.
  `AnyURI`
  `getSubject()`
  Gets the value of the subject property.
  `void`
  `setExpires(ExpiresType value)`
  Sets the value of the expires property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setSubject(AnyURI value)`
  Sets the value of the subject property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### expires

    protected ExpiresType expires

  - ### subject

    protected AnyURI subject

  - ### aliasOrPropertyOrLink

    protected List<Object> aliasOrPropertyOrLink

  - ### id

    protected String id

- ## Constructor Details

  - ### XRDType

    public XRDType()

- ## Method Details

  - ### getExpires

    public ExpiresType getExpires()
    Gets the value of the expires property.
    Returns:
      possible object is `ExpiresType`

  - ### setExpires

    public void setExpires(ExpiresType value)
    Sets the value of the expires property.
    Parameters:
      `value` - allowed object is `ExpiresType`

  - ### getSubject

    public AnyURI getSubject()
    Gets the value of the subject property.
    Returns:
      possible object is `AnyURI`

  - ### setSubject

    public void setSubject(AnyURI value)
    Sets the value of the subject property.
    Parameters:
      `value` - allowed object is `AnyURI`

  - ### getAliasOrPropertyOrLink

    public List<Object> getAliasOrPropertyOrLink()
    Gets the value of the aliasOrPropertyOrLink property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the aliasOrPropertyOrLink property.

    For example, to add a new item, do as follows:

            getAliasOrPropertyOrLink().add(newItem);

    Objects of the following type(s) are allowed in the list `Object` `JAXBElement``<``AnyURI``>` `JAXBElement``<``LinkType``>` `JAXBElement``<``PropertyType``>` `Element`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOtherAttributes

    public Map<QName,String> getOtherAttributes()
    Gets a map that contains attributes that aren't bound to any typed property on this class.

    the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

    Returns:
      always non-null